#VU20067 Directory listing in Undertow


Published: 2019-08-13

Vulnerability identifier: #VU20067

Vulnerability risk: Low

CVSSv3.1:

CVE-ID: CVE-2019-10184

CWE-ID: CWE-200

Exploitation vector: Network

Exploit availability: No

Vulnerable software:
Undertow
Server applications / Web servers

Vendor: Red Hat Inc.

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to incorrect handling of requests without trailing slashes in the api. A remote attacker can send a specially crafted HTTP request to the affected server and predict directory structure.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Undertow: 2.0.0 - 2.0.22


CPE

External links
http://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-10184
http://github.com/undertow-io/undertow/pull/794


Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?


Latest bulletins with this vulnerability